package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 签呈流程类型
 */
@AllArgsConstructor
@Getter
public enum EProcessType {

    CANCEL(0, "取消", 0, EnumsPrefixConstants.PROCESS_TYPE + "0"),

    /**
     * 免签呈
     */
    AVOIDSIGNING(1, "免签", 0, EnumsPrefixConstants.PROCESS_TYPE + "1"),

    /**
     * 免支付
     */
    AVOIDPAY(2, "免付", 0, EnumsPrefixConstants.PROCESS_TYPE + "2"),

    /**
     * 免签呈+免支付
     */
    DOUBLEAVOID(3, "全免", 0, EnumsPrefixConstants.PROCESS_TYPE + "3"),
    /**
     * 需签呈+支付
     */
    DOUBLEPAY(4, "确认", 0, EnumsPrefixConstants.PROCESS_TYPE + "4"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

}
